part of yomp_cqrs;

class ProjectionBasic {
	Map _result = new Map();
	Map get result => _result;

	ProjectionBasic();

	void onEvent(Map event) {
		String eventType = event["event"];
		String eventDocId = event["id"];
		int idx = eventType.indexOf(".create");
		if (idx > 0) {
			String stereotype = eventType.substring(0,idx);
			_result[eventDocId] = {"_id":eventDocId,"type":stereotype};
			return;
		}
		idx = eventType.indexOf(".set");
		if (idx > 0) {
			String prop = eventType.substring(idx+5);
			Map obj = _result[eventDocId];
			obj[prop] = event["value"];
			return;
		}
		idx = eventType.indexOf(".add");
		if (idx > 0) {
			String prop = eventType.substring(idx+5);
			Map obj = _result[eventDocId];
			if (obj.containsKey(prop)) {
				List ls = obj[prop];
				ls.add(event["value"]);
			} else {
				obj[prop] = [event["value"]];
			}
			return;
		}
	}
}