library tester_data_bands;

List tester_data_bands() {
	return [
		{"event":"Genre.create","id":"ROCK"},
		{"event":"Genre.set_name","id":"ROCK", "value":"Rock"},

		{"event":"Genre.create","id":"METAL"},
		{"event":"Genre.set_name","id":"METAL", "value":"Heavy metal"},

		{"event":"Band.create","id":"IRONS"},
		{"event":"Band.set_name","id":"IRONS", "value":"Iron Maiden"},
		{"event":"Band.set_genre","id":"IRONS", "value":"METAL"},

		{"event":"Person.create","id":"BRUCED"},
		{"event":"Person.set_name","id":"BRUCED", "value":"Bruce Dickinson"},

		{"event":"Person.create","id":"STEVEH"},
		{"event":"Person.set_name","id":"STEVEH", "value":"Steve Harris"},

		{"event":"Person.create","id":"DAVEM"},
		{"event":"Person.set_name","id":"DAVEM", "value":"Dave Murray"},

		{"event":"Person.create","id":"ADRIANS"},
		{"event":"Person.set_name","id":"ADRIANS", "value":"Adrian Smith"},

		{"event":"Person.create","id":"NICKOB"},
		{"event":"Person.set_name","id":"NICKOB", "value":"Nicko McBrain"},

		{"event":"Person.create","id":"JANICKG"},
		{"event":"Person.set_name","id":"JANICKG", "value":"Janick Gers"},

		{"event":"Formation.create","id":"F1"},
		{"event":"Formation.set_band","id":"F1", "value":"IRONS"},
		{"event":"Formation.set_from_date","id":"F1", "value":"2"},
		{"event":"Formation.add_vocal","id":"F1", "value":"BRUCED"},
		{"event":"Formation.add_guitar","id":"F1", "value":"DAVEM"},
		{"event":"Formation.add_guitar","id":"F1", "value":"ADRIANS"},
		{"event":"Formation.add_guitar","id":"F1", "value":"JANICKG"},
		{"event":"Formation.add_drums","id":"F1", "value":"NICKOM"},
		{"event":"Formation.add_bass","id":"F1", "value":"STEVEH"},

		{"event":"Person.create","id":"PAULD"},
		{"event":"Person.set_name","id":"PAULD", "value":"Paul Di'Anno"},

		{"event":"Person.create","id":"DENNISS"},
		{"event":"Person.set_name","id":"DENNISS", "value":"Dennis Stratton"},

		{"event":"Person.create","id":"CLIVEB"},
		{"event":"Person.set_name","id":"CLIVEB", "value":"Clive Burr"},

		{"event":"Person.create","id":"BLAZEB"},
		{"event":"Person.set_name","id":"BLAZEB", "value":"Blaze Bayley"},

		{"event":"Formation.create","id":"F2"},
		{"event":"Formation.set_band","id":"F2", "value":"IRONS"},
		{"event":"Formation.set_from_date","id":"F2", "value":"1979"},
		{"event":"Formation.set_to_date","id":"F2", "value":"1980"},
		{"event":"Formation.add_vocal","id":"F2", "value":"PAULD"},
		{"event":"Formation.add_guitar","id":"F2", "value":"DAVEM"},
		{"event":"Formation.add_guitar","id":"F2", "value":"DENNISS"},
		{"event":"Formation.add_drums","id":"F2", "value":"CLIVEB"},
		{"event":"Formation.add_bass","id":"F2", "value":"STEVEH"},

		{"event":"Formation.create","id":"F3"},
		{"event":"Formation.set_band","id":"F3", "value":"IRONS"},
		{"event":"Formation.set_from_date","id":"F3", "value":"1980"},
		{"event":"Formation.set_to_date","id":"F3", "value":"1981"},
		{"event":"Formation.add_vocal","id":"F3", "value":"PAULD"},
		{"event":"Formation.add_guitar","id":"F3", "value":"DAVEM"},
		{"event":"Formation.add_guitar","id":"F3", "value":"ADRIANS"},
		{"event":"Formation.add_drums","id":"F3", "value":"CLIVEB"},
		{"event":"Formation.add_bass","id":"F3", "value":"STEVEH"},

		{"event":"Formation.create","id":"F3"},
		{"event":"Formation.set_band","id":"F3", "value":"IRONS"},
		{"event":"Formation.set_from_date","id":"F3", "value":"1994"},
		{"event":"Formation.set_to_date","id":"F3", "value":"1999"},
		{"event":"Formation.add_vocal","id":"F3", "value":"BLAZEB"},
		{"event":"Formation.add_guitar","id":"F3", "value":"DAVEM"},
		{"event":"Formation.add_guitar","id":"F3", "value":"JANICKG"},
		{"event":"Formation.add_drums","id":"F3", "value":"NICKOM"},
		{"event":"Formation.add_bass","id":"F3", "value":"STEVEH"},

		{"event":"Album.create","id":"A1"},
		{"event":"Album.set_name","id":"A1", "value":"Iron Maiden"},
		{"event":"Album.set_band","id":"A1", "value":"IRONS"},
		{"event":"Album.set_release_date","id":"A1", "value":"1980-04-14"},

		{"event":"Album.create","id":"A2"},
		{"event":"Album.set_name","id":"A2", "value":"Killers"},
		{"event":"Album.set_band","id":"A2", "value":"IRONS"},
		{"event":"Album.set_release_date","id":"A2", "value":"1981-02-02"},

		{"event":"Band.create","id":"GNR"},
		{"event":"Band.set_name","id":"GNR", "value":"Guns N'Roses"},
		{"event":"Band.set_genre","id":"GNR", "value":"METAL"},

		{"event":"Person.create","id":"AXELR"},
		{"event":"Person.set_name","id":"AXELR", "value":"Axel Rose"},

		{"event":"Person.create","id":"SLASH"},
		{"event":"Person.set_name","id":"SLASH", "value":"Slash"},

		{"event":"Person.create","id":"IZZYS"},
		{"event":"Person.set_name","id":"IZZYS", "value":"Izzy Stradlin"},

		{"event":"Person.create","id":"DUFFM"},
		{"event":"Person.set_name","id":"DUFFM", "value":"Duff McKagan"},

		{"event":"Person.create","id":"STEVENA"},
		{"event":"Person.set_name","id":"STEVENA", "value":"Steven Adler"},

		{"event":"Formation.create","id":"F4"},
		{"event":"Formation.set_band","id":"F4", "value":"GNR"},
		{"event":"Formation.set_from_date","id":"F4", "value":"1985"},
		{"event":"Formation.set_to_date","id":"F4", "value":"1990"},
		{"event":"Formation.add_vocal","id":"F4", "value":"AXELR"},
		{"event":"Formation.add_guitar","id":"F4", "value":"SLASH"},
		{"event":"Formation.add_guitar","id":"F4", "value":"IZZYS"},
		{"event":"Formation.add_drums","id":"F4", "value":"STEVENA"},
		{"event":"Formation.add_bass","id":"F4", "value":"DUFFM"},

		{"event":"Person.create","id":"DIZZYR"},
		{"event":"Person.set_name","id":"DIZZYR", "value":"Dizzy Reed"},

		{"event":"Person.create","id":"MATTS"},
		{"event":"Person.set_name","id":"MATTS", "value":"Matt Sorum"},

		{"event":"Person.create","id":"GILBYC"},
		{"event":"Person.set_name","id":"GILBYC", "value":"Gilby Clark"},

		{"event":"Formation.create","id":"F5"},
		{"event":"Formation.set_band","id":"F5", "value":"GNR"},
		{"event":"Formation.set_from_date","id":"F5", "value":"1990"},
		{"event":"Formation.set_to_date","id":"F5", "value":"1991"},
		{"event":"Formation.add_vocal","id":"F5", "value":"AXELR"},
		{"event":"Formation.add_guitar","id":"F5", "value":"SLASH"},
		{"event":"Formation.add_guitar","id":"F5", "value":"IZZYS"},
		{"event":"Formation.add_keyboard","id":"F5", "value":"DIZZYR"},
		{"event":"Formation.add_drums","id":"F5", "value":"MATTS"},
		{"event":"Formation.add_bass","id":"F5", "value":"DUFFM"},

		{"event":"Formation.create","id":"F6"},
		{"event":"Formation.set_band","id":"F6", "value":"GNR"},
		{"event":"Formation.set_from_date","id":"F6", "value":"1991"},
		{"event":"Formation.set_to_date","id":"F6", "value":"1993"},
		{"event":"Formation.add_vocal","id":"F6", "value":"AXELR"},
		{"event":"Formation.add_guitar","id":"F6", "value":"SLASH"},
		{"event":"Formation.add_guitar","id":"F6", "value":"GILBYC"},
		{"event":"Formation.add_keyboard","id":"F6", "value":"DIZZYR"},
		{"event":"Formation.add_drums","id":"F6", "value":"MATTS"},
		{"event":"Formation.add_bass","id":"F6", "value":"DUFFM"},
	];
}


